.clear{clear:both;}
 .my-page>a, .my-page>span:not(:last-child){ margin-right:.25rem;}
 .my-page>a, .my-page>span{
    padding: 0.35rem;
    line-height: 1;
    font-size: 14px;
    color: var(--highlight-color);
    text-decoration: none;
    background-color: transparent;
    border-radius: 0.35rem;
    border: 1px solid var(--primary-color);
} 
.my-page>a:hover{
    color:#fff ;
    background:var(--primary-color) !important;
}
.my-page span.current{
    color:#fff !important;
    background:var(--primary-color) !important; 
}
.pagination > li{
    margin-right: 10px;
}
.pagination > li >a{
    margin-right: 10px;
}
.pagination > li {
    float: left;
    display: block; 
}
.my-page{
    text-align: center;
    margin:15px 0 0;
}
.pagination > li >a{
    margin-right: 0;
}

/* 数据表格样式 */
.data-table {
  width: 100%;
  border-collapse: collapse;
  font-size: 12px;
}

.data-table th,
.data-table td {
  padding:5px;
  border: 1px solid #1c516e;
  text-align: left;
}

.data-table thead th{
  border-color: rgb(76 230 255 / 60%);
}

.data-table tbody tr:hover,.data-table tbody tr.active{
  background:linear-gradient(95deg, rgb(0 40 144) 0%, rgba(2, 81, 190, 0.12) 100%);
}

.data-table thead{
  background: linear-gradient(45deg, rgb(0 79 255 / 60%), rgb(0 255 71 / 40%));
}

.data-table thead th {
  background-color: rgb(0 94 255 / 29%);
  color: #fff;
}

.data-table tbody th {
  background-color: transparent;
    color: #74d3ff;
    font-weight: normal;
}
/* 表格滚动样式 */
.data-table tbody {
        display: block;
        overflow-y: auto; /* 启用垂直滚动条 */
        overflow-x: hidden;
    }

    .data-table thead,
    .data-table tbody tr {
        display: table;
        width: 100%;
        table-layout: fixed;
    }